Bug 250012 - rsyslog-1.17.2-4.fc8: segfaults on startup
rsyslog-1.17.2-4.fc8: segfaults on startup
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: rsyslog (Show other bugs)
rawhide
powerpc Linux
low Severity low
: ---
: ---
Assigned To: Peter Vrabec
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-07-29 08:51 EDT by Joseph Sacco
Modified: 2007-11-30 17:12 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-07-30 13:17:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
output from "/sbin/rsyslogd -d -m 0" (6.62 KB, application/octet-stream)
2007-07-29 08:51 EDT, Joseph Sacco
no flags Details

  None (edit)
Description Joseph Sacco 2007-07-29 08:51:37 EDT
rsyslogd fails to start during the boot sequence.

rsyslogd segfaults when run from the command line with "-d -m 0" options. See
attached log file.

-Joseph
Comment 1 Joseph Sacco 2007-07-29 08:51:37 EDT
Created attachment 160186 [details]
output from "/sbin/rsyslogd -d -m 0"
Comment 2 Joseph Sacco 2007-07-29 19:09:25 EDT
(gdb) bt
#0  0x0fee60e4 in __atomic_writev_replacement () from /lib/libc.so.6
#1  0x10014d1c in writeFile (f=0x1002f4c8) at omfile.c:361
#2  0x10015134 in doActionFile (f=0x7) at omfile.c:433
#3  0x10004cc0 in fprintlog (f=0x1002f4c8) at syslogd.c:3297
#4  0x10005ed8 in processMsg (pMsg=0x1002f358) at syslogd.c:2424
#5  0x10004e34 in logmsg (pri=<value optimized out>, pMsg=0x1002f358, flags=5)
    at syslogd.c:2611
#6  0x10005938 in logmsgInternal (pri=46, 
    msg=0x7fa672fe " [origin software=\"rsyslogd\" swVersion=\"1.17.2\"
x-pid=\"6221\"][x-configInfo udpReception=\"No\" udpPort=\"514\"
tcpReception=\"No\" tcpPort=\"0\"] restart", flags=4)
    at syslogd.c:2172
#7  0x100091c0 in init () at syslogd.c:4495
#8  0x1000b410 in main (argc=<value optimized out>, argv=<value optimized out>)
    at syslogd.c:6405
#9  0x0fe1de0c in generic_start_main () from /lib/libc.so.6
#10 0x0fe1e060 in __libc_start_main () from /lib/libc.so.6
#11 0x00000000 in ?? ()
Comment 3 Peter Vrabec 2007-07-30 06:14:55 EDT
Could you test it with rsyslog-1.17.5-1, please. I wasn't able to reproduce it 
with the newest(-5) release on ppc64. 

http://people.redhat.com/pvrabec/rpms/rsyslog/rsyslog-1.17.5-1.src.rpm
Comment 4 Joseph Sacco 2007-07-30 10:19:01 EDT
Peter,

Version 1.17.5-1, fetched from Koji today, starts up immediately and runs on my
32-bit PPC.

-Joseph

Note You need to log in before you can comment on or make changes to this bug.